com.icesoft.faces.component.menubar

## Class IceMenuObject

- java.lang.Object
- - com.icesoft.faces.component.menubar.IceMenuObject

-     public class IceMenuObject
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `action`
    `protected java.lang.String` | `branchContractedIcon`
    `protected java.lang.String` | `branchExpandedIcon`
    `protected boolean` | `expanded`
    `protected java.lang.String` | `icon`
    `protected java.lang.String` | `leafIcon`
    `protected java.lang.String` | `text`
    `protected java.lang.String` | `tooltip`
    `protected javax.swing.tree.DefaultMutableTreeNode` | `wrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IceMenuObject(javax.swing.tree.DefaultMutableTreeNode wrapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `action()`
    `java.lang.String` | `getAction()`
    `java.lang.String` | `getBranchContractedIcon()`
    `java.lang.String` | `getBranchExpandedIcon()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getIcon()` return the appropriate icon based on this node's expanded/collapsed state and the presence of children
    `java.lang.String` | `getLeafIcon()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTooltip()`
    `javax.swing.tree.DefaultMutableTreeNode` | `getWrapper()`
    `boolean` | `isExpanded()`
    `void` | `setAction(java.lang.String action)`
    `void` | `setBranchContractedIcon(java.lang.String branchContractedIcon)`
    `void` | `setBranchExpandedIcon(java.lang.String branchExpandedIcon)`
    `void` | `setExpanded(boolean isExpanded)`
    `void` | `setLeafIcon(java.lang.String leafIcon)`
    `void` | `setText(java.lang.String text)`
    `void` | `setTooltip(java.lang.String tooltipString)`
    `void` | `setWrapper(javax.swing.tree.DefaultMutableTreeNode wrapper)` Set the DefaultMutableTreeNode instance that wraps this instance
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wrapper

          protected javax.swing.tree.DefaultMutableTreeNode wrapper

    - #### text

          protected java.lang.String text

    - #### expanded

          protected boolean expanded

    - #### tooltip

          protected java.lang.String tooltip

    - #### action

          protected java.lang.String action

    - #### leafIcon

          protected java.lang.String leafIcon

    - #### branchExpandedIcon

          protected java.lang.String branchExpandedIcon

    - #### branchContractedIcon

          protected java.lang.String branchContractedIcon

    - #### icon

          protected java.lang.String icon

  - ### Constructor Detail

    - #### IceMenuObject

          public IceMenuObject(javax.swing.tree.DefaultMutableTreeNode wrapper)

  - ### Method Detail

    - #### action

          public java.lang.String action()

    - #### getText

          public java.lang.String getText()

    - #### setText

          public void setText(java.lang.String text)

    - #### getFamily

          public java.lang.String getFamily()

    - #### isExpanded

          public boolean isExpanded()

    - #### setExpanded

          public void setExpanded(boolean isExpanded)

    - #### getTooltip

          public java.lang.String getTooltip()

    - #### setTooltip

          public void setTooltip(java.lang.String tooltipString)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getLeafIcon

          public java.lang.String getLeafIcon()

    - #### setLeafIcon

          public void setLeafIcon(java.lang.String leafIcon)

    - #### getBranchContractedIcon

          public java.lang.String getBranchContractedIcon()

    - #### setBranchContractedIcon

          public void setBranchContractedIcon(java.lang.String branchContractedIcon)

    - #### getBranchExpandedIcon

          public java.lang.String getBranchExpandedIcon()

    - #### setBranchExpandedIcon

          public void setBranchExpandedIcon(java.lang.String branchExpandedIcon)

    - #### getIcon

          public java.lang.String getIcon()

      return the appropriate icon based on this node's expanded/collapsed state and the presence of children
      Returns:
        String application-relative path to the image file

    - #### getWrapper

          public javax.swing.tree.DefaultMutableTreeNode getWrapper()

    - #### setWrapper

          public void setWrapper(javax.swing.tree.DefaultMutableTreeNode wrapper)

      Set the DefaultMutableTreeNode instance that wraps this instance
      Parameters:
        `wrapper` -

    - #### getAction

          public java.lang.String getAction()

    - #### setAction

          public void setAction(java.lang.String action)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.